<script lang=ts>
    import { goto } from '$app/navigation';
    let tftUrl: string = "https://teamfighttactics.leagueoflegends.com/";
  
</script>
  
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
<div class="container-fluid">
    <a class="navbar-brand" href="#" on:click|preventDefault={() => goto('/')}>MonAppTFT</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav">
        <li class="nav-item">
        <a class="nav-link" href="#" on:click|preventDefault={() => goto('/')}>Accueil</a>
        </li>
        <li class="nav-item">
        <a class="nav-link" href="#" on:click|preventDefault={() => goto('/familles')}>Familles</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#" on:click|preventDefault={() => goto('/champions')}>Champions</a>
            </li>
        <li class="nav-item">
            <a class="nav-link" href="/arenas" on:click|preventDefault={() => goto('/arenas')}>Arènes</a>
        </li>
        <li class="nav-item">
        <a class="nav-link" href="{tftUrl}">À propos de TFT</a>
        </li>
    </ul>
    </div>
</div>
</nav>
